org.eclipse.wst.jsdt.chromium.wip

## Interface WipBrowserTab

    public interface WipBrowserTab

An abstraction of a remote Browser tab. Each browser tab contains a Javascript Virtual Machine.

### Method Summary

All Methods Instance Methods Abstract Methods
`WipBrowser` `getBrowser()`
`WipJavascriptVm` `getJavascriptVm()`
`java.lang.String` `getUrl()`

### Method Detail

#### getBrowser

    WipBrowser getBrowser()

Returns:
  the "parent" Browser instance

#### getJavascriptVm

    WipJavascriptVm getJavascriptVm()

Returns:
  JavaScript VM representation of this tab

#### getUrl

    java.lang.String getUrl()

Returns:
  a URL of the corresponding browser tab